# OrcRule

## Functions

### orc_rule_register

    void
    orc_rule_register (OrcRuleSet * rule_set,
                       const char * opcode_name,
                       OrcRuleEmitFunc emit,
                       void * emit_user)

Parameters:

`rule_set` –
No description available
`opcode_name` –
No description available
`emit` –
No description available
`emit_user` –
No description available
Returns (void ) –
No description available

### orc_rule_set_new

    OrcRuleSet *
    orc_rule_set_new (OrcOpcodeSet * opcode_set,
                      OrcTarget* target,
                      unsigned int  required_flags)

Adds a new OrcRuleSet to the target

opcode_set: The OrcOpcodeSet the OrcRuleSet will implement by registering OrcRule with orc_rule_register target: The OrcTarget to register the OrcRuleSet in required_flags: The OrcTarget flags the OrcRuleSet must implement to use the OrcRule returns: The OrcRuleSet just created

Parameters:

`opcode_set` –
No description available
`target` –
No description available
`required_flags` –
No description available
Returns (OrcRuleSet *) –
No description available

deprecated :

0.4.42: Use orc_target_add_rule_set

## Structures

### OrcRule

The OrcRule structure has no public members

### OrcRuleSet

The OrcRuleSet structure has no public members

## Callbacks

### OrcRuleEmitFunc

    void
    (*OrcRuleEmitFunc) (void * user,
                        OrcInstruction* insn)

Parameters:

`user` –
No description available
`insn` –
No description available
Returns (void ) –
No description available

The results of the search are